Moov wallets provide flexibility on when and how accounts can move funds. Each Moov account is provided with a default wallet to store funds. Accounts can request additional general wallets to store more funds. With wallets, you can:

- Accumulate collected payments
- Transfer funds between Moov wallets for instantly available funds
- Pre-fund your wallet for faster payouts
- Cash out from your wallet at any time

Read our [wallet source](https://docs.moov.io/guides/sources/wallets/) and [wallet money movement](https://docs.moov.io/guides/money-movement/wallets/) documentation.

### API Endpoints

- [**Create a wallet**  
  POST  
  /accounts/{accountID}/wallets](https://docs.moov.io/api/sources/wallets/create/)  
- [**Retrieve a wallet**  
  GET  
  /accounts/{accountID}/wallets/{walletID}](https://docs.moov.io/api/sources/wallets/get/)  
- [**List wallets**  
  GET  
  /accounts/{accountID}/wallets](https://docs.moov.io/api/sources/wallets/list/)  
- [**Retrieve a wallet transaction**  
  GET  
  /accounts/{accountID}/wallets/{walletID}/transactions/{transactionID}](https://docs.moov.io/api/sources/wallets/get-transaction/)  
- [**List wallet transactions**  
  GET  
  /accounts/{accountID}/wallets/{walletID}/transactions](https://docs.moov.io/api/sources/wallets/list-transactions/)  
- [**Get adjustment**  
  GET  
  /accounts/{accountID}/adjustments/{adjustmentID}](https://docs.moov.io/api/sources/wallets/get-adjustment/)  
- [**List adjustments**  
  GET  
  /accounts/{accountID}/adjustments](https://docs.moov.io/api/sources/wallets/list-adjustments/)  
- [**Update a wallet**  
  PATCH  
  /accounts/{accountID}/wallets/{walletID}](https://docs.moov.io/api/sources/wallets/update/)
